{
  "name": "{{ agave.appsPrefix }}-freebayes-gf2",
  "version": "1.3.3.01",
  "label": "Freebayes varient calling",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/freebayes-gf2-1.3.3-01",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "freebayes-gf2.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "input",
      "value": {
        "required": true,
        "default": ""
      }
    },
    { "id": "reference",
      "value": {
        "required": true,
        "default": ""
      }
    }
  ],
  "parameters": [
    { "id": "min_quality",
      "value": {
        "required": false,
        "type": "number"
      }
    },
    { "id": "min_coverage",
      "value": {
        "required": false,
        "type": "number"
      }
    },
    { "id": "min_probability",
      "value": {
        "required": false,
        "type": "number"
      }
    },
    { "id": "min_fraction",
      "value": {
        "required": false,
        "default": 0.05,
        "type": "number"
      }
    },
    { "id": "ploidy",
      "value": {
        "required": false,
        "default": 1,
        "type": "number"
      }
    },
    { "id": "output",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": true,
        "default": "auto",
        "type": "string"
      }
    },
    { "id": "exec_init",
      "value": {
        "required": true,
        "default": "",
        "type": "string"
      }
    }
  ]
}